#-*- mode: python; mode: fold -*-
# $Id: __init__.py 361 2006-07-30 06:12:00Z joachim $
from Products.CMFCore.utils import ContentInit, ToolInit
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils as cmfutils
from Products.CMFCore.CMFCorePermissions import AddPortalContent

from Products.GenericSetup import profile_registry
from Products.GenericSetup import EXTENSION

from Products.CPSCore.interfaces import ICPSSite

# Only for CPS 3.4.1. In 3.4.2 and later this should be fixed.
import PatchCPSDefaultImportExport

import Products.WAeUP_SRP.WAeUPPermissions
from Products.WAeUP_SRP.Academics import AcademicsFolder, addAcademicsFolder
from Products.WAeUP_SRP.University import University, addUniversity
from Products.WAeUP_SRP.Accommodation import AccoFolder, addAccoFolder
from Products.WAeUP_SRP.Accommodation import Accommodation, addAccommodation
from Products.WAeUP_SRP.Academics import Certificate, addCertificate
from Products.WAeUP_SRP.Academics import CertificateCourse, addCertificateCourse
from Products.WAeUP_SRP.Academics import Faculty, addFaculty
from Products.WAeUP_SRP.Academics import Department, addDepartment
from Products.WAeUP_SRP.Academics import Course, addCourse
from Products.WAeUP_SRP.Academics import CourseTicket, addCourseTicket
from Products.WAeUP_SRP.Academics import CertificateCourse, addCertificateCourse
from Products.WAeUP_SRP.Students import StudentsFolder, addStudentsFolder
from Products.WAeUP_SRP.Students import Student, addStudent
from Products.WAeUP_SRP.Students import StudentPersonal, addStudentPersonal
from Products.WAeUP_SRP.Students import StudentEligibility, addStudentEligibility
from Products.WAeUP_SRP.Students import StudentDocuments, addStudentDocuments
from Products.WAeUP_SRP.Students import Jamb, addJamb
from Products.WAeUP_SRP.Students import StudyLevel, addStudyLevel
from Products.WAeUP_SRP.Students import Semester, addSemester


import Widgets

contentClasses = (
    University,
    AcademicsFolder,
    Certificate,
    CertificateCourse,
    Faculty,
    Department,
    Course,
    CourseTicket,
    CertificateCourse,
    AccoFolder,
    Accommodation,
    StudentsFolder,
    Student,
    StudentPersonal,
    StudentEligibility,
    StudentDocuments,
    Jamb,
    StudyLevel,
    Semester,
    )

contentConstructors = (
    addUniversity,
    addAcademicsFolder,
    addCertificate,
    addCertificateCourse,
    addFaculty,
    addDepartment,
    addCourse,
    addCourseTicket,
    addCertificateCourse,
    addAccoFolder,
    addAccommodation,
    addStudentsFolder,
    addStudent,
    addStudentPersonal,
    addStudentEligibility,
    addStudentDocuments,
    addJamb,
    addStudyLevel,
    addSemester,
    )

fti = (
    {}, # University
    {}, #AcademicsFolder
    {}, #Certificate
    {}, #CertificateCourse
    {}, # Faculty
    {}, # Department
    {}, # Course
    {}, # CourseTicket
    {}, # CertificateCourse
    {}, # AccoFolder
    {}, # Accommodation
    {}, # StudentsFolder,
    {}, # Student,
    {}, # StudentPersonal,
    {}, # StudentEligibility,
    {}, # StudentDocuments,
    {}, # Jamb,
    {}, # StudyLevel,
    {}, # Semester,
    )

registerDirectory('skins', globals())

def initialize(registrar):
    ContentInit('WAeUP Types',
                content_types = contentClasses,
                permission = AddPortalContent,
                extra_constructors = contentConstructors,
                fti = fti,
                ).initialize(registrar)

    # Extension profile registration
    profile_registry.registerProfile(
        'default',
        'WAeUP_SRP',
        "The WestAfrican e-University Project",
        'profiles/default',
        'WAeUP_SRP',
        EXTENSION,
        for_=ICPSSite)

